//////////////////////////////////////////////////////////////////////////////// 
/// Pseudoglobe Screensaver
/// 
/// Copyright  2002  Sebastian Pipping <webmaster@hartwork.org>
/// 
/// -->  http://www.hartwork.org
/// 
/// This source code is released under the GNU General Public License (GPL).
/// See GPL.txt for details. Any non-GPL usage is strictly forbidden.
////////////////////////////////////////////////////////////////////////////////


#include "cregistry.h"

BOOL CRegistry::ReadString( const HKEY hRoot, const char * szSubkey, const char * szValue, char * szBuffer )
{
	HKEY hKey;
	DWORD dwType;
	DWORD dwSize = BUFFER_SIZE;

	if( ERROR_SUCCESS != RegOpenKeyEx( hRoot, szSubkey, 0, KEY_ALL_ACCESS, &hKey ) )
	{
		return FALSE;
	}
	if( ERROR_SUCCESS != RegQueryValueEx( hKey, szValue, 0, &dwType, ( LPBYTE )szBuffer, &dwSize ) )
	{
		RegCloseKey( hKey );
		return FALSE;
	}

	RegCloseKey( hKey );
	return TRUE;
}
